package com.xty.common.util

import android.view.Gravity
import com.hjq.toast.ToastUtils
import com.hjq.toast.style.BlackToastStyle
import com.xty.common.R

object CommonToastUtils {

    /**
     * 自定义成功吐司
     */
    fun showSucceedToast(toastStr: String) {
        ToastUtils.setView(R.layout.toast_succeed_layout)
        ToastUtils.setGravity(Gravity.CENTER)
        ToastUtils.show(toastStr)
    }

    /**
     * 自定义成功吐司
     */
    fun showSucceedToast(toastStr: Int) {
        ToastUtils.setView(R.layout.toast_succeed_layout)
        ToastUtils.setGravity(Gravity.CENTER)
        ToastUtils.show(toastStr)
    }

    /**
     * 自定义失败吐司
     */
    fun showLoserToast(toastStr: String) {
        ToastUtils.setView(R.layout.toast_loser_layout)
        ToastUtils.setGravity(Gravity.CENTER)
        ToastUtils.show(toastStr)
    }

    /**
     * 自定义失败吐司
     */
    fun showLoserToast(toastStr: Int) {
        ToastUtils.setView(R.layout.toast_loser_layout)
        ToastUtils.setGravity(Gravity.CENTER)
        ToastUtils.show(toastStr)
    }

    /**
     * 正常吐司
     */
    fun showToast(toastStr: String) {
        ToastUtils.setStyle(BlackToastStyle())
        ToastUtils.setGravity(Gravity.CENTER)
        ToastUtils.show(toastStr)
    }

    /**
     * 正常吐司
     */
    fun showToast(toastStr: Int) {
        ToastUtils.setStyle(BlackToastStyle())
        ToastUtils.setGravity(Gravity.CENTER)
        ToastUtils.show(toastStr)
    }

}